package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 抽奖活动抽奖奖品类型
 */
@AllArgsConstructor
@Getter
public enum EActDrawGiftType {
    /**
     * 0=实物 1=消费
     */
    ENTITY(0, "实物", 0, EnumsPrefixConstants.ACT_DRAW_GIFT_TYPE + 0),

    /**
     * 消费账户
     */
    ACCOUNT1(1, "消费账户", 0, EnumsPrefixConstants.ACT_DRAW_GIFT_TYPE + 1),
    ACCOUNT2(2, "现金账户", 0, EnumsPrefixConstants.ACT_DRAW_GIFT_TYPE + 2),
    ACCOUNT6(6, "积分账户", 0, EnumsPrefixConstants.ACT_DRAW_GIFT_TYPE + 6),
    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

    public static String getActDrawGiftType(Integer value) {
        for (EActDrawGiftType eActDrawGiftType : EActDrawGiftType.values()) {
            if (eActDrawGiftType.getValue() == value) {
                return eActDrawGiftType.getLabel();
            }
        }
        return null;
    }
}
